/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.upperComputer.entity;


import java.io.Serializable;
import java.util.Date;



/**
 * 设备型号管理表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-13 16:13:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public class CdDeviceModel implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_modelName = "modelName";
  public static final String KEY_brandId = "brandId";
  public static final String KEY_productName = "productName";
  public static final String KEY_screenSize = "screenSize";
  public static final String KEY_resolution = "resolution";
  public static final String KEY_type = "type";
  public static final String KEY_modelImg = "modelImg";
  public static final String KEY_systemVersion = "systemVersion";
  public static final String KEY_cpuCoreNum = "cpuCoreNum";
  public static final String KEY_cpuModel = "cpuModel";
  public static final String KEY_cpuBrand = "cpuBrand";
  public static final String KEY_ramSize = "ramSize";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 机型id<br>
   */
  private String id;
  /**
   * 机型名称<br>
   */
  private String modelName;
  /**
   * 所属品牌<br>
   */
  private String brandId;
  /**
   * 产品名称<br>
   */
  private String productName;
  /**
   * 屏幕尺寸<br>
   */
  private String screenSize;
  /**
   * 分辨率<br>
   */
  private String resolution;
  /**
   * 类型<br>
   */
  private String type;
  /**
   * 机型图片<br>
   */
  private String modelImg;
  /**
   * 系统版本<br>
   */
  private String systemVersion;
  /**
   * cpu核心数<br>
   */
  private Integer cpuCoreNum;
  /**
   * cpu型号<br>
   */
  private String cpuModel;
  /**
   * cpu品牌<br>
   */
  private String cpuBrand;
  /**
   * 内存大小<br>
   */
  private String ramSize;
  /**
   * 创建人<br>
   */
  private String createdBy;
  /**
   * 创建时间<br>
   */
  private Date createdTime;
  /**
   * 更新人<br>
   */
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  private Date updatedTime;

  /**
   * 机型id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 机型id<br>
   *
   * @param id 机型id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 机型名称<br>
   */
  public String getModelName()
  {
      return modelName;
    }

  /**
   * 机型名称<br>
   *
   * @param modelName 机型名称
   */
  public void setModelName(String modelName)
  {
      this.modelName = modelName;
    }
  /**
   * 所属品牌<br>
   */
  public String getBrandId()
  {
      return brandId;
    }

  /**
   * 所属品牌<br>
   *
   * @param brandId 所属品牌
   */
  public void setBrandId(String brandId)
  {
      this.brandId = brandId;
    }
  /**
   * 产品名称<br>
   */
  public String getProductName()
  {
      return productName;
    }

  /**
   * 产品名称<br>
   *
   * @param productName 产品名称
   */
  public void setProductName(String productName)
  {
      this.productName = productName;
    }
  /**
   * 屏幕尺寸<br>
   */
  public String getScreenSize()
  {
      return screenSize;
    }

  /**
   * 屏幕尺寸<br>
   *
   * @param screenSize 屏幕尺寸
   */
  public void setScreenSize(String screenSize)
  {
      this.screenSize = screenSize;
    }
  /**
   * 分辨率<br>
   */
  public String getResolution()
  {
      return resolution;
    }

  /**
   * 分辨率<br>
   *
   * @param resolution 分辨率
   */
  public void setResolution(String resolution)
  {
      this.resolution = resolution;
    }
  /**
   * 类型<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 类型<br>
   *
   * @param type 类型
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 机型图片<br>
   */
  public String getModelImg() {
    return modelImg;
  }

  /**
   * 机型图片<br>
   *
   * @param modelImg 机型图片
   */
  public void setModelImg(String modelImg) {
    this.modelImg = modelImg;
  }

  /**
   * 系统版本<br>
   */
  public String getSystemVersion()
  {
      return systemVersion;
    }

  /**
   * 系统版本<br>
   *
   * @param systemVersion 系统版本
   */
  public void setSystemVersion(String systemVersion)
  {
      this.systemVersion = systemVersion;
    }
  /**
   * cpu核心数<br>
   */
  public Integer getCpuCoreNum()
  {
      return cpuCoreNum;
    }

  /**
   * cpu核心数<br>
   *
   * @param cpuCoreNum cpu核心数
   */
  public void setCpuCoreNum(Integer cpuCoreNum)
  {
      this.cpuCoreNum = cpuCoreNum;
    }
  /**
   * cpu型号<br>
   */
  public String getCpuModel()
  {
      return cpuModel;
    }

  /**
   * cpu型号<br>
   *
   * @param cpuModel cpu型号
   */
  public void setCpuModel(String cpuModel)
  {
      this.cpuModel = cpuModel;
    }
  /**
   * cpu品牌<br>
   */
  public String getCpuBrand()
  {
      return cpuBrand;
    }

  /**
   * cpu品牌<br>
   *
   * @param cpuBrand cpu品牌
   */
  public void setCpuBrand(String cpuBrand)
  {
      this.cpuBrand = cpuBrand;
    }
  /**
   * 内存大小<br>
   */
  public String getRamSize()
  {
      return ramSize;
    }

  /**
   * 内存大小<br>
   *
   * @param ramSize 内存大小
   */
  public void setRamSize(String ramSize)
  {
      this.ramSize = ramSize;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdDeviceModel()
  {
  }

}
